Package org.eclipse.ui.dialogs

## Class PropertyPage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.preference.PreferencePage
    - - org.eclipse.ui.dialogs.PropertyPage

All Implemented Interfaces:
  `IDialogPage`, `IMessageProvider`, `IPreferencePage`, `IWorkbenchPropertyPage`

Direct Known Subclasses:
  `WizardPropertyPage`

    public abstract class PropertyPage
    extends PreferencePage
    implements IWorkbenchPropertyPage

Abstract base implementation of a workbench property page ( `IWorkbenchPropertyPage`). The implementation is a JFace preference page with an adaptable element.

Property pages that support multiple selected objects should implement `IWorkbenchPropertyPageMulti` instead.

Subclasses must implement the `createContents` framework method to supply the property page's main control.

Subclasses should extend the `doComputeSize` framework method to compute the size of the page's control.

Subclasses may override the `performOk`, `performApply`,`performDefaults`, `performCancel`, and `performHelp` framework methods to react to the standard button events.

Subclasses may call the `noDefaultAndApplyButton` framework method before the page's control has been created to suppress the standard Apply and Defaults buttons.

See Also:
  `IWorkbenchPropertyPage`, `IWorkbenchPropertyPageMulti`

### Field Summary

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
`PropertyPage()` Creates a new property page.

### Method Summary

All Methods Instance Methods Concrete Methods
`IAdaptable` `getElement()` Returns the object that owns the properties shown in this page.
`void` `setElement​(IAdaptable element)` Sets the element that owns properties shown on this page.

### Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, applyDialogFont, computeSize, contributeButtons, createContents, createControl, createDescriptionLabel, createNoteComposite, doComputeSize, doGetPreferenceStore, getApplyButton, getContainer, getDefaultsButton, getPreferenceStore, isValid, noDefaultAndApplyButton, noDefaultButton, okToLeave, performApply, performCancel, performDefaults, performHelp, performOk, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString, updateApplyButton`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getImage, getMessage, getMessageType, getShell, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, setButtonLayoutData, setControl, setDescription, setImageDescriptor, setMessage, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

### Methods inherited from interface org.eclipse.jface.preference.IPreferencePage

`computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

### Constructor Detail

#### PropertyPage

    public PropertyPage()

Creates a new property page.

### Method Detail

#### getElement

    public IAdaptable getElement()

Description copied from interface: `IWorkbenchPropertyPage`
Returns the object that owns the properties shown in this page.

Specified by:
  `getElement` in interface `IWorkbenchPropertyPage`
Returns:
  the object that owns the properties shown in this page

#### setElement

    public void setElement​(IAdaptable element)

Sets the element that owns properties shown on this page.

Specified by:
  `setElement` in interface `IWorkbenchPropertyPage`
Parameters:
  `element` - the element
See Also:
  `PropertyDialogAction`